List Configs
curl --request GET \
--url https://api.example.com/v2/report-configs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/report-configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/report-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"report_type": "integration_sync_report",
"is_enabled": true,
"frequency": "daily",
"time": "<string>",
"weekday": 123,
"recipient_emails": [
"<string>"
],
"cc_emails": [
"<string>"
],
"last_sent_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
]{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}report-configs
List Configs
List Report Configs
List report configurations for the organization. Optionally filter by report type.
GET
/
v2
/
report-configs
List Configs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
integration_sync_report, ar_aging_report Response
Successful Response
Discriminator for report type
Available options:
integration_sync_report, ar_aging_report How often to send the report (DAILY, WEEKLY, MONTHLY)
Available options:
daily, weekly, monthly Time of day (HH:MM) in org timezone. Minutes must be 0 or 30.
Day of the week (0=Monday, 6=Sunday). Only used by WEEKLY frequency.
Primary recipient email addresses
Optional CC email addresses (e.g., FDE team on failures)
UTC timestamp of the last successful report send
String representing the object's type. Objects of the same type share the same value.
